#!/bin/sh
#该脚本可以备份与恢复系统文件，
#使用“back_restore.sh backup”可以备份，
#而使用“back_restore.sh restore”可以恢复备份文件 
#BACK是备份文件所保存的目录，而FILENAME是备份文件名
BACK="${HOME}/backup"
FILENAME="backup.tar.bz2"

case "$1" in
   backup)
#备份
	echo "this will backup your system file,it maybe needs 1.5G hardware space.and maybe need few minutes,the file save in $BACK/$FILENAME,do you want continue(y/n)?"
	read answer
	case "$answer" in
		"Y"|"y" )
		echo "let us beginning"
		;;
		* )
#如果回答不是y或Y，则退出该脚本
		exit 0
		;;
	esac
#如果备份目录不存在，则创建该目录
	if	[ ! -d "${BACK}" ];then
		mkdir "${BACK}"
	fi
#实际的备份命令，exclude指定了不备份的目录，
	sudo tar cvpjf "$BACK/$FILENAME" / --exclude=/proc --exclude=/lost+found --exclude=/mnt --exclude=/sys --exclude=/home	    
	;;

   restore)
#恢复备份
   echo "do you want restore the back file(y/n)?"
   read a_restore
   case "$a_restore" in
	   "Y" | "y" )
	   echo begining restore
	   ;;
	   * )
	   exit 0
	   ;;
   esac
	sudo tar xvpfj "$BACK/$FILENAME" -C /
#创建几个备份时没有包含在内的目录
	if [ ! -d "/proc" ];then
		sudo mkdir /proc
	fi
	if [ ! -d "lost+found" ];then
		sudo mkdir /lost+found
	fi
	if [ ! -d "/mnt" ];then
		sudo mkdir /mnt
	fi
	if [ ! -d "/sys" ];then
		sudo mkdir /sys
	fi
#恢复文件后，应该重新启动系统，以使恢复生效
	sudo reboot
	;;

   *)
	echo useage:$0 backup or $0 restore
	;;
esac
exit 0
